Unit Demo1;

{ Andy Preston - Apollo Developments - Swindon U.K. - andy@anorak.org.uk }

{ Demo program for bleepint }

{ Copyright (C) 1999  Andy Preston }

{ This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public }
{ License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later }
{ version. }

{ This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty }
{ of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more details. }

{ You should have received a copy of the GNU General Public License along with this program; if not, write to the }
{ Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA. }

Interface

{ IF your demo program uses exotic 3rd Party controlls the loads of people won't be able to run it - KEEP IT SIMPLE }

Uses
  Classes, Controls, Forms, StdCtrls;

Type
  TDemoForm=Class (TForm)
    BuiltInLbl : TGroupBox;
    OKBtn : TButton;
    IntBtn : TButton;
    ErrBtn : TButton;
    RollLbl : TGroupBox;
    SlideBtn : TButton;
    BoatBtn : TButton;
    PainBtn : TButton;
    CloseBtn: TButton;
    Procedure OKBtnClick (Sender : TObject);
    Procedure IntBtnClick (Sender : TObject);
    Procedure ErrBtnClick (Sender : TObject);
    Procedure SlideBtnClick (Sender : TObject);
    Procedure BoatBtnClick (Sender : TObject);
    Procedure PainBtnClick (Sender : TObject);
    procedure CloseBtnClick(Sender: TObject);
  End;

Var
  DemoForm : TDemoForm;

Implementation

Uses
  BleepInt;

{$R *.DFM}

{ Watch out! If it's not in a 32-bit console app (i.e. most of the time) Bleepint routines call Application.ProcessMessages,
  so you might have to disable timer, buttons etc. whilst it's working }

Procedure TDemoForm.OKBtnClick (Sender : TObject);
Begin
  Bleep (bOK);
End;

Procedure TDemoForm.IntBtnClick (Sender : TObject);
Begin
  Bleep (bInterrupt);
End;

Procedure TDemoForm.ErrBtnClick (Sender : TObject);
Begin
  Bleep (bError);
End;

Procedure TDemoForm.SlideBtnClick (Sender : TObject);
Var
  I : Integer;
Begin
  For I:=100 To 150 Do DoBleep (I*10, 10);
  For I:=150 Downto 100 Do DoBleep (I*10, 10);
End;

Procedure TDemoForm.BoatBtnClick (Sender : TObject);
Begin
  DoBleep (146, 250);  { D   Approximate frequencies based on table in }
  DoBleep (123, 250);  { B   'Electronic Music And Musique Concret'   }
  DoBleep (164, 500);  { E   By F. C. Judd A.Inst.E.                   }
  DoBleep (123, 500);  { B   Neville Spearman, London, 1961            }
  DoBleep (138, 125);  { C#                                            }
  DoBleep (146, 250);  { D   'Ei Ukhnem', More popularly known as 'The }
  DoBleep (123, 250);  { B   Volga Boat Song'                          }
  DoBleep (164, 500);  { E                                             }
  DoBleep (123, 500);  { B   This world famous song dates back to the  }
  DoBleep (138, 500);  { C#  days when teams of men pulled boats up    }
  DoBleep (146, 500);  { D   The Volga. At each pull of the rope, the  }
  DoBleep (195, 500);  { G   team would sing "Ei Ukhnem" (one more     }
  DoBleep (184, 500);  { F#  sigh). The words sing the praise of the   }
  DoBleep (195, 500);  { G   great "Mother of Rivers", the wide deep   }
  DoBleep (164, 500);  { E   Volga                                     }
  DoBleep (146, 250);  { D                                             }
  DoBleep (123, 250);  { B                                             }
  DoBleep (164, 250);  { E                                             }
  DoBleep (164, 250);  { E                                             }
  DoBleep (123, 1000); { B                                             }
End;

Procedure TDemoForm.PainBtnClick (Sender : TObject);
Begin
  If PainBtn.Caption='Pain' Then Begin
    PainBtn.Caption:='Relief';
    DoBleep (1000, -1);
  End
  Else Begin
    PainBtn.Caption:='Pain';
    ShutUp;
  End;
End;

Procedure TDemoForm.CloseBtnClick (Sender : TObject);
Begin
  Close;
End;

End.
